[arch-commits] Commit in python-astroid/repos/testing-any (PKGBUILD PKGBUILD)

Felix Yan fyan at archlinux.org
Sun Nov 23 07:53:23 UTC 2014


    Date: Sunday, November 23, 2014 @ 08:53:22
  Author: fyan
Revision: 226864

archrelease: copy trunk to testing-any

Added:
  python-astroid/repos/testing-any/PKGBUILD
    (from rev 226863, python-astroid/trunk/PKGBUILD)
Deleted:
  python-astroid/repos/testing-any/PKGBUILD

----------+
 PKGBUILD |  112 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 56 insertions(+), 56 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2014-11-23 07:53:08 UTC (rev 226863)
+++ PKGBUILD	2014-11-23 07:53:22 UTC (rev 226864)
@@ -1,56 +0,0 @@
-# $Id$
-# Maintainer: Angel Velasquez <angvp at archlinux.org>
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-astroid
-pkgname=('python2-astroid' 'python-astroid')
-pkgver=1.3.1
-pkgrel=1
-pkgdesc="Useful miscellaneous modules used by Logilab projects"
-arch=('any')
-url="https://bitbucket.org/logilab/astroid"
-license=('LGPL')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-six' 'python2-six')
-checkdepends=('python-logilab-common' 'python2-logilab-common')
-source=("https://pypi.python.org/packages/source/a/astroid/astroid-${pkgver}.tar.gz")
-sha1sums=('c26bae017d50275f71a4afc2969d7147142629b0')
-
-prepare() {
-  cp -a astroid-${pkgver}{,-py3}
-}
-
-build() {
-  cd astroid-${pkgver}
-  python2 setup.py build
-
-  cd ../astroid-${pkgver}-py3
-  python3 setup.py build
-}
-
-check() {
-  cd astroid-${pkgver}
-  PYTHONPATH="$PWD/../build/lib:$PYTHONPATH" python2 -Wi -m unittest discover -s build/lib/astroid/tests -p "unittest*.py"
-
-  cd ../astroid-${pkgver}-py3
-  PYTHONPATH="$PWD/../build/lib:$PYTHONPATH" python -Wi -m unittest discover -s build/lib/astroid/tests -p "unittest*.py" || warning "Tests failed"
-}
-
-package_python2-astroid() {
-  depends=('python2-logilab-common' 'python2-six')
-  replaces=('python2-logilab-astng')
-  conflicts=('python2-logilab-astng')
-
-  cd astroid-${pkgver}
-
-  python2 setup.py install --optimize=1 --skip-build --prefix=/usr --root="${pkgdir}"
-}
-
-package_python-astroid() {
-  depends=('python-logilab-common' 'python-six')
-  replaces=('python-logilab-astng')
-  conflicts=('python-logilab-astng')
-
-  cd astroid-${pkgver}-py3
-
-  python3 setup.py install --optimize=1 --skip-build --prefix=/usr --root="${pkgdir}"
-}

Copied: python-astroid/repos/testing-any/PKGBUILD (from rev 226863, python-astroid/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2014-11-23 07:53:22 UTC (rev 226864)
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Angel Velasquez <angvp at archlinux.org>
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-astroid
+pkgname=('python2-astroid' 'python-astroid')
+pkgver=1.3.2
+pkgrel=1
+pkgdesc="Useful miscellaneous modules used by Logilab projects"
+arch=('any')
+url="https://bitbucket.org/logilab/astroid"
+license=('LGPL')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-six' 'python2-six')
+checkdepends=('python-logilab-common' 'python2-logilab-common')
+source=("https://pypi.python.org/packages/source/a/astroid/astroid-${pkgver}.tar.gz")
+sha1sums=('9651799514b6d434c2c94f1125c19bfabb494ec4')
+
+prepare() {
+  cp -a astroid-${pkgver}{,-py3}
+}
+
+build() {
+  cd astroid-${pkgver}
+  python2 setup.py build
+
+  cd ../astroid-${pkgver}-py3
+  python3 setup.py build
+}
+
+check() {
+  cd astroid-${pkgver}
+  PYTHONPATH="$PWD/../build/lib:$PYTHONPATH" python2 -Wi -m unittest discover -s build/lib/astroid/tests -p "unittest*.py"
+
+  cd ../astroid-${pkgver}-py3
+  PYTHONPATH="$PWD/../build/lib:$PYTHONPATH" python -Wi -m unittest discover -s build/lib/astroid/tests -p "unittest*.py" || warning "Tests failed"
+}
+
+package_python2-astroid() {
+  depends=('python2-logilab-common' 'python2-six')
+  replaces=('python2-logilab-astng')
+  conflicts=('python2-logilab-astng')
+
+  cd astroid-${pkgver}
+
+  python2 setup.py install --optimize=1 --skip-build --prefix=/usr --root="${pkgdir}"
+}
+
+package_python-astroid() {
+  depends=('python-logilab-common' 'python-six')
+  replaces=('python-logilab-astng')
+  conflicts=('python-logilab-astng')
+
+  cd astroid-${pkgver}-py3
+
+  python3 setup.py install --optimize=1 --skip-build --prefix=/usr --root="${pkgdir}"
+}


More information about the arch-commits mailing list